Bug 91532 - [patch] [ports] security/fakeroot version update
Summary: [patch] [ports] security/fakeroot version update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Andrey Slusar
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-08 22:00 UTC by Meno Abels
Modified: 2006-01-24 19:57 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.51 KB, patch)
2006-01-08 22:00 UTC, Meno Abels
no flags Details | Diff
file.shar (3.00 KB, text/plain)
2006-01-08 22:00 UTC, Meno Abels
no flags Details
file.shar (2.65 KB, text/plain)
2006-01-08 22:00 UTC, Meno Abels
no flags Details
file.shar (7.13 KB, text/plain)
2006-01-08 22:00 UTC, Meno Abels
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Meno Abels 2006-01-08 22:00:20 UTC
	The current 1.5.5 fakeroot portversion are not found on the debian ftp server. So we have to update
        to the new 1.5.6 version.

Fix: The fix contains a very small patch of fakeroot and three new packages which are provide a new perl tool. These tool is
        needed to create the i18n documentation of fakeroot.
	The new ports are:
		devel/libtext-charwidth-perl
		devel/libtext-wrapi18n-perl
		devel/po4a
	These ports are attached as three seperated shar files. If you need these in a different format feel free to 
        contact me.

How-To-Repeat: 	Try to compile the port
Comment 1 Meno Abels 2006-01-12 07:39:16 UTC
Hello,

My fault i missed to use portlint -A. Without there was no notice. There are
Still some warning but they are related to the non comforming package names
which are derivated from the debian nameing schema. Also the man
installation of po4a is not matching to the prediction of the freebsd
install system. I think it is not serioes. Here are the new patch set:

Thanks and sorry for that

meno

cvs diff: Diffing security/fakeroot
Index: security/fakeroot/Makefile
===================================================================
RCS file: /usr/freebsd.cvs/ports/security/fakeroot/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- security/fakeroot/Makefile  14 Dec 2005 03:53:35 -0000      1.8
+++ security/fakeroot/Makefile  12 Jan 2006 05:56:27 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=      fakeroot
-PORTVERSION=   1.5.5
+PORTVERSION=   1.5.6
 CATEGORIES=    security
 MASTER_SITES=  ${MASTER_SITE_DEBIAN}
 MASTER_SITE_SUBDIR=    pool/main/f/fakeroot
@@ -15,15 +15,14 @@
 MAINTAINER=    Meno.Abels@Adviser.com
 COMMENT=       Simulate the root user behaviour
 
-USE_AUTOTOOLS= libtool:15
+BUILD_DEPENDS= ${LOCALBASE}/bin/po4a:${PORTSDIR}/devel/po4a
+
+USE_LIBTOOL_VER=15
 INSTALLS_SHLIB=        yes
 CONFIGURE_TARGET=      --build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
 WRKSRC=                ${WRKDIR}/${PORTNAME}-${PORTVERSION}
 
-MANLANG=       "" es sv
+MANLANG=       "" es sv fr
 MAN1=          faked.1 fakeroot.1
 
-post-install:
-       ${GZIP_CMD} ${MANPREFIX}/man/fr/man1/fakeroot.1
-
 .include <bsd.port.mk>
Index: security/fakeroot/distinfo
===================================================================
RCS file: /usr/freebsd.cvs/ports/security/fakeroot/distinfo,v
retrieving revision 1.4
diff -u -r1.4 distinfo
--- security/fakeroot/distinfo  14 Dec 2005 03:53:35 -0000      1.4
+++ security/fakeroot/distinfo  7 Jan 2006 20:21:39 -0000
@@ -1,3 +1,3 @@
-MD5 (fakeroot_1.5.5.tar.gz) = bf177f1e2d71a1e6c11782106e157bef
-SHA256 (fakeroot_1.5.5.tar.gz) =
3dc0fe4c726cf5c59653a5fbb4cec97871a060b76cffce5da3f539aa54c8635f
-SIZE (fakeroot_1.5.5.tar.gz) = 974397
+MD5 (fakeroot_1.5.6.tar.gz) = 4f26b43c57de53e05ce2c47cf525f1c6
+SHA256 (fakeroot_1.5.6.tar.gz) =
c73f9ec23d6a617abe4c9858b01fc4cb1e178aa44ec6aa127cf98de578acdb7f
+SIZE (fakeroot_1.5.6.tar.gz) = 980208
Index: security/fakeroot/pkg-plist
===================================================================
RCS file: /usr/freebsd.cvs/ports/security/fakeroot/pkg-plist,v
retrieving revision 1.4
diff -u -r1.4 pkg-plist
--- security/fakeroot/pkg-plist 14 Dec 2005 03:53:35 -0000      1.4
+++ security/fakeroot/pkg-plist 12 Jan 2006 05:57:52 -0000
@@ -2,8 +2,7 @@
 bin/fakeroot
 lib/libfakeroot.a
 lib/libfakeroot.so
-lib/libfakeroot.so.0
-man/fr/man1/fakeroot.1.gz
+lib/libfakeroot-0.so
 @unexec rmdir %D/man/sv/man1 2>/dev/null || true
 @unexec rmdir %D/man/sv 2>/dev/null || true
 @unexec rmdir %D/man/fr/man1 2>/dev/null || true
cvs diff: Diffing security/fakeroot/files


# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#       devel/libtext-charwidth-perl/Makefile
#       devel/libtext-charwidth-perl/distinfo
#       devel/libtext-charwidth-perl/pkg-descr
#       devel/libtext-charwidth-perl/pkg-plist
#
echo x - devel/libtext-charwidth-perl/Makefile
sed 's/^X//' >devel/libtext-charwidth-perl/Makefile <<
'END-of-devel/libtext-charwidth-perl/Makefile'
X# New ports collection makefile for:   libtext-charwidth-perl
X# Date created:                                08 Januar 2006
X# Whom:                                        Meno Abels
<meno.abels@adviser.com>
X#
X# $FreeBSD$
X#
X
XPORTNAME=      libtext-charwidth-perl
XPORTVERSION=   0.04
XCATEGORIES=    devel
XMASTER_SITES=  ${MASTER_SITE_DEBIAN}
XMASTER_SITE_SUBDIR=    pool/main/libt/libtext-charwidth-perl
XDISTNAME=      ${PORTNAME}_${PORTVERSION}
X#DISTNAME=     ${PORTNAME}_${PORTVERSION}.orig
X
XMAINTAINER=    Meno.Abels@Adviser.com
XCOMMENT=       Documentation gettext tools
X
XCONFIGURE_TARGET=      --build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
XWRKSRC=                ${WRKDIR}/${PORTNAME}-${PORTVERSION}
X
XPERL_CONFIGURE=        yes
X
XMAN3=          Text::CharWidth.3
X
Xpost-extract:
X       @${MV} ${WRKSRC}.orig ${WRKSRC}
X
X.include <bsd.port.mk>
END-of-devel/libtext-charwidth-perl/Makefile
echo x - devel/libtext-charwidth-perl/distinfo
sed 's/^X//' >devel/libtext-charwidth-perl/distinfo <<
'END-of-devel/libtext-charwidth-perl/distinfo'
XMD5 (libtext-charwidth-perl_0.04.orig.tar.gz) =
2dcb114a179e778b964f760852c313b9
XSHA256 (libtext-charwidth-perl_0.04.orig.tar.gz) =
37affbcd5835ce80d36c3916b8a4462f2f55136c354b46a31c275c562d7f6563
XSIZE (libtext-charwidth-perl_0.04.orig.tar.gz) = 8397
END-of-devel/libtext-charwidth-perl/distinfo
echo x - devel/libtext-charwidth-perl/pkg-descr
sed 's/^X//' >devel/libtext-charwidth-perl/pkg-descr <<
'END-of-devel/libtext-charwidth-perl/pkg-descr'
XFakeroot runs a command in an environment were it appears to have
Xroot privileges for file manipulation, by setting LD_PRELOAD to a
Xlibrary with alternative versions of getuid(), stat(), etc. This
Xis useful for allowing users to create archives (tar, ar, .deb .rpm
Xetc.) with files in them with root permissions/ownership. Without
Xfakeroot one would have to have root privileges to create the
Xconstituent files of the archives with the correct permissions and
Xownership, and then pack them up, or one would have to construct
Xthe archives directly, without using the archiver.
X
XWWW: http://freshmeat.net/projects/fakeroot
END-of-devel/libtext-charwidth-perl/pkg-descr
echo x - devel/libtext-charwidth-perl/pkg-plist
sed 's/^X//' >devel/libtext-charwidth-perl/pkg-plist <<
'END-of-devel/libtext-charwidth-perl/pkg-plist'
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Text/CharWidth/CharWidth.so
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Text/CharWidth/CharWidth.bs
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Text/CharWidth/.packlist
X%%SITE_PERL%%/%%PERL_ARCH%%/Text/CharWidth.pm
END-of-devel/libtext-charwidth-perl/pkg-plist
exit

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#       devel/libtext-charwidth-perl/Makefile
#       devel/libtext-charwidth-perl/distinfo
#       devel/libtext-charwidth-perl/pkg-descr
#       devel/libtext-charwidth-perl/pkg-plist
#
echo x - devel/libtext-charwidth-perl/Makefile
sed 's/^X//' >devel/libtext-charwidth-perl/Makefile <<
'END-of-devel/libtext-charwidth-perl/Makefile'
X# New ports collection makefile for:   libtext-charwidth-perl
X# Date created:                                08 Januar 2006
X# Whom:                                        Meno Abels
<meno.abels@adviser.com>
X#
X# $FreeBSD$
X#
X
XPORTNAME=      libtext-charwidth-perl
XPORTVERSION=   0.04
XCATEGORIES=    devel
XMASTER_SITES=  ${MASTER_SITE_DEBIAN}
XMASTER_SITE_SUBDIR=    pool/main/libt/libtext-charwidth-perl
XDISTNAME=      ${PORTNAME}_${PORTVERSION}
X#DISTNAME=     ${PORTNAME}_${PORTVERSION}.orig
X
XMAINTAINER=    Meno.Abels@Adviser.com
XCOMMENT=       Documentation gettext tools
X
XCONFIGURE_TARGET=      --build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
XWRKSRC=                ${WRKDIR}/${PORTNAME}-${PORTVERSION}
X
XPERL_CONFIGURE=        yes
X
XMAN3=          Text::CharWidth.3
X
Xpost-extract:
X       @${MV} ${WRKSRC}.orig ${WRKSRC}
X
X.include <bsd.port.mk>
END-of-devel/libtext-charwidth-perl/Makefile
echo x - devel/libtext-charwidth-perl/distinfo
sed 's/^X//' >devel/libtext-charwidth-perl/distinfo <<
'END-of-devel/libtext-charwidth-perl/distinfo'
XMD5 (libtext-charwidth-perl_0.04.orig.tar.gz) =
2dcb114a179e778b964f760852c313b9
XSHA256 (libtext-charwidth-perl_0.04.orig.tar.gz) =
37affbcd5835ce80d36c3916b8a4462f2f55136c354b46a31c275c562d7f6563
XSIZE (libtext-charwidth-perl_0.04.orig.tar.gz) = 8397
END-of-devel/libtext-charwidth-perl/distinfo
echo x - devel/libtext-charwidth-perl/pkg-descr
sed 's/^X//' >devel/libtext-charwidth-perl/pkg-descr <<
'END-of-devel/libtext-charwidth-perl/pkg-descr'
XFakeroot runs a command in an environment were it appears to have
Xroot privileges for file manipulation, by setting LD_PRELOAD to a
Xlibrary with alternative versions of getuid(), stat(), etc. This
Xis useful for allowing users to create archives (tar, ar, .deb .rpm
Xetc.) with files in them with root permissions/ownership. Without
Xfakeroot one would have to have root privileges to create the
Xconstituent files of the archives with the correct permissions and
Xownership, and then pack them up, or one would have to construct
Xthe archives directly, without using the archiver.
X
XWWW: http://freshmeat.net/projects/fakeroot
END-of-devel/libtext-charwidth-perl/pkg-descr
echo x - devel/libtext-charwidth-perl/pkg-plist
sed 's/^X//' >devel/libtext-charwidth-perl/pkg-plist <<
'END-of-devel/libtext-charwidth-perl/pkg-plist'
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Text/CharWidth/CharWidth.so
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Text/CharWidth/CharWidth.bs
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Text/CharWidth/.packlist
X%%SITE_PERL%%/%%PERL_ARCH%%/Text/CharWidth.pm
END-of-devel/libtext-charwidth-perl/pkg-plist
exit

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#       devel/libtext-wrapi18n-perl/Makefile
#       devel/libtext-wrapi18n-perl/distinfo
#       devel/libtext-wrapi18n-perl/pkg-descr
#       devel/libtext-wrapi18n-perl/pkg-plist
#
echo x - devel/libtext-wrapi18n-perl/Makefile
sed 's/^X//' >devel/libtext-wrapi18n-perl/Makefile <<
'END-of-devel/libtext-wrapi18n-perl/Makefile'
X# New ports collection makefile for:   libtext-wrapi18n-perl
X# Date created:                                08 Januar 2006
X# Whom:                                        Meno Abels
<meno.abels@adviser.com>
X#
X# $FreeBSD$
X#
X
XPORTNAME=      libtext-wrapi18n-perl
XPORTVERSION=   0.06
XCATEGORIES=    devel
XMASTER_SITES=  ${MASTER_SITE_DEBIAN}
XMASTER_SITE_SUBDIR=    pool/main/libt/libtext-wrapi18n-perl
XDISTNAME=      ${PORTNAME}_${PORTVERSION}.orig
X
XMAINTAINER=    Meno.Abels@Adviser.com
XCOMMENT=       Documentation gettext tools
X
XBUILD_DEPENDS= 
${SITE_PERL}/${PERL_ARCH}/Text/CharWidth.pm:${PORTSDIR}/devel/libtext-charwi
dth-perl
X
XCONFIGURE_TARGET=      --build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
XWRKSRC=                ${WRKDIR}/${PORTNAME}-${PORTVERSION}
X
XPERL_CONFIGURE=        yes
X
XMAN3=          Text::WrapI18N.3
X
Xpost-extract:
X       @${MV} ${WRKSRC}.orig ${WRKSRC}
X
X.include <bsd.port.mk>
END-of-devel/libtext-wrapi18n-perl/Makefile
echo x - devel/libtext-wrapi18n-perl/distinfo
sed 's/^X//' >devel/libtext-wrapi18n-perl/distinfo <<
'END-of-devel/libtext-wrapi18n-perl/distinfo'
XMD5 (libtext-wrapi18n-perl_0.06.orig.tar.gz) =
8f1a45d3adf86703e68fdb01523a2a9c
XSHA256 (libtext-wrapi18n-perl_0.06.orig.tar.gz) =
432c2a801efe9f12d631124c1163439eac4c99449ba13d80133c45ecacc627f5
XSIZE (libtext-wrapi18n-perl_0.06.orig.tar.gz) = 3797
END-of-devel/libtext-wrapi18n-perl/distinfo
echo x - devel/libtext-wrapi18n-perl/pkg-descr
sed 's/^X//' >devel/libtext-wrapi18n-perl/pkg-descr <<
'END-of-devel/libtext-wrapi18n-perl/pkg-descr'
XThis module is a substitution for Text::Wrap, supporting
Xmultibyte characters such as UTF-8, EUC-JP, and GB2312, fullwidth
Xcharacters such as east Asian characters, combining characters
Xsuch as diacritical marks and Thai, and languages which don't
Xuse whitespaces between words such as Chinese and Japanese.
X
XWWW: http://packages.debian.org/unstable/perl/libtext-wrapi18n-perl
END-of-devel/libtext-wrapi18n-perl/pkg-descr
echo x - devel/libtext-wrapi18n-perl/pkg-plist
sed 's/^X//' >devel/libtext-wrapi18n-perl/pkg-plist <<
'END-of-devel/libtext-wrapi18n-perl/pkg-plist'
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Text/WrapI18N/.packlist
X%%SITE_PERL%%/Text/WrapI18N.pm
END-of-devel/libtext-wrapi18n-perl/pkg-plist
exit



# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#       devel/po4a/Makefile
#       devel/po4a/distinfo
#       devel/po4a/pkg-descr
#       devel/po4a/pkg-plist
#
echo x - devel/po4a/Makefile
sed 's/^X//' >devel/po4a/Makefile << 'END-of-devel/po4a/Makefile'
X# New ports collection makefile for:   po4a
X# Date created:                                08 January 2006
X# Whom:                                        Meno Abels
<meno.abels@adviser.com>
X#
X# $FreeBSD$
X#
X
XPORTNAME=      po4a
XPORTVERSION=   0.23
XCATEGORIES=    devel
XMASTER_SITES=  ${MASTER_SITE_DEBIAN}
XMASTER_SITE_SUBDIR=    pool/main/p/po4a
XDISTNAME=      ${PORTNAME}_${PORTVERSION}.orig
X
XMAINTAINER=    Meno.Abels@Adviser.com
XCOMMENT=       Documentation gettext tools
X
XBUILD_DEPENDS= 
${SITE_PERL}/Module/Build.pm:${PORTSDIR}/devel/p5-Module-Build \
X               
${SITE_PERL}/${PERL_ARCH}/Term/ReadKey.pm:${PORTSDIR}/devel/p5-Term-ReadKey
\
X               
${SITE_PERL}/Text/WrapI18N.pm:${PORTSDIR}/devel/libtext-wrapi18n-perl \
X               ${SITE_PERL}/SGMLS.pm:${PORTSDIR}/textproc/p5-SGMLSpm
X
XCONFIGURE_TARGET=      --build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
XWRKSRC=                ${WRKDIR}/${PORTNAME}-${PORTVERSION}
X
X#MANLANG=      "" es fr ca pl
XMAN3PREFIX=    ${PREFIX}/lib/perl5/${PERL_VERSION}
XMAN3=          Locale::Po4a::TransTractor.3 \
X               Locale::Po4a::LaTeX.3 \
X               Locale::Po4a::Pod.3 \
X               Locale::Po4a::Po.3 \
X               Locale::Po4a::Sgml.3 \
X               Locale::Po4a::Text.3 \
X               Locale::Po4a::Common.3 \
X               Locale::Po4a::KernelHelp.3 \
X               Locale::Po4a::Guide.3 \
X               Locale::Po4a::Man.3 \
X               Locale::Po4a::Xml.3 \
X               Locale::Po4a::Dia.3 \
X               Locale::Po4a::Docbook.3 \
X               Locale::Po4a::Chooser.3 \
X               Locale::Po4a::TeX.3
X
XMAN1=          po4a-translate.1 \
X               po4a.1 \
X               po4a-normalize.1 \
X               msguntypot.1 \
X               po4a-updatepo.1 \
X               po4a-gettextize.1
X
X.include <bsd.port.mk>
END-of-devel/po4a/Makefile
echo x - devel/po4a/distinfo
sed 's/^X//' >devel/po4a/distinfo << 'END-of-devel/po4a/distinfo'
XMD5 (po4a_0.23.orig.tar.gz) = 858a312cff483d7ff3e0db7dfaf759d1
XSHA256 (po4a_0.23.orig.tar.gz) =
0e448e6609efefb37436d3507ab6265df46c94bcab0ea41fad1602ee5b4d6f04
XSIZE (po4a_0.23.orig.tar.gz) = 736399
END-of-devel/po4a/distinfo
echo x - devel/po4a/pkg-descr
sed 's/^X//' >devel/po4a/pkg-descr << 'END-of-devel/po4a/pkg-descr'
Xtools for helping translation of documentation
X
XThe po4a (po for anything) project goal is to ease translations
X(and more interestingly, the maintenance of translations) using
Xgettext tools on areas where they were not expected like documentation.
X
XThis package contains the main libraries of po4a, and the following
sub-modules:
X
X  - KernelHelp: Help messages of each kernel compilation option.
X  - Man: Good old manual page format.
X  - Pod: Perl documentation format.
X  - Sgml: either debiandoc or docbook DTD.
X  - Dia: uncompressed Dia diagrams.
X  - LaTeX: generic TeX or LaTeX format
X
XWWW: http://packages.debian.org/unstable/text/po4a
END-of-devel/po4a/pkg-descr
echo x - devel/po4a/pkg-plist
sed 's/^X//' >devel/po4a/pkg-plist << 'END-of-devel/po4a/pkg-plist'
Xlocale/af/LC_MESSAGES/po4a.mo
Xlocale/ca/LC_MESSAGES/po4a.mo
Xlocale/de/LC_MESSAGES/po4a.mo
Xlocale/cs/LC_MESSAGES/po4a.mo
Xlocale/es/LC_MESSAGES/po4a.mo
Xlocale/fr/LC_MESSAGES/po4a.mo
Xlocale/it/LC_MESSAGES/po4a.mo
Xlocale/pl/LC_MESSAGES/po4a.mo
Xlocale/ru/LC_MESSAGES/po4a.mo
Xbin/po4a-normalize
Xbin/po4a-gettextize
Xbin/msguntypot
Xbin/po4a-updatepo
Xbin/po4a
Xbin/po4a-translate
Xman/ca/man1/po4a-normalize.1p.gz
Xman/ca/man1/po4a-gettextize.1p.gz
Xman/ca/man1/po4a-updatepo.1p.gz
Xman/ca/man1/po4a-translate.1p.gz
Xman/ca/man3/Locale::Po4a::Dia.3pm.gz
Xman/ca/man3/Locale::Po4a::Po.3pm.gz
Xman/ca/man3/Locale::Po4a::LaTeX.3pm.gz
Xman/ca/man3/Locale::Po4a::Pod.3pm.gz
Xman/ca/man3/Locale::Po4a::Xml.3pm.gz
Xman/ca/man3/Locale::Po4a::TransTractor.3pm.gz
Xman/ca/man3/Locale::Po4a::Guide.3pm.gz
Xman/ca/man3/Locale::Po4a::KernelHelp.3pm.gz
Xman/ca/man3/Locale::Po4a::Chooser.3pm.gz
Xman/ca/man3/Locale::Po4a::Docbook.3pm.gz
Xman/es/man1/po4a-normalize.1p.gz
Xman/es/man1/po4a-gettextize.1p.gz
Xman/es/man1/po4a-updatepo.1p.gz
Xman/es/man1/po4a-translate.1p.gz
Xman/es/man3/Locale::Po4a::Dia.3pm.gz
Xman/es/man3/Locale::Po4a::Po.3pm.gz
Xman/es/man3/Locale::Po4a::LaTeX.3pm.gz
Xman/es/man3/Locale::Po4a::Pod.3pm.gz
Xman/es/man3/Locale::Po4a::Xml.3pm.gz
Xman/es/man3/Locale::Po4a::TransTractor.3pm.gz
Xman/es/man3/Locale::Po4a::Guide.3pm.gz
Xman/es/man3/Locale::Po4a::KernelHelp.3pm.gz
Xman/es/man3/Locale::Po4a::Chooser.3pm.gz
Xman/es/man3/Locale::Po4a::Docbook.3pm.gz
Xman/fr/man1/po4a-normalize.1p.gz
Xman/fr/man1/msguntypot.1p.gz
Xman/fr/man1/po4a-gettextize.1p.gz
Xman/fr/man1/po4a.1p.gz
Xman/fr/man1/po4a-updatepo.1p.gz
Xman/fr/man1/po4a-translate.1p.gz
Xman/fr/man3/Locale::Po4a::Dia.3pm.gz
Xman/fr/man3/Locale::Po4a::Po.3pm.gz
Xman/fr/man3/Locale::Po4a::Man.3pm.gz
Xman/fr/man3/Locale::Po4a::LaTeX.3pm.gz
Xman/fr/man3/Locale::Po4a::Pod.3pm.gz
Xman/fr/man3/Locale::Po4a::TeX.3pm.gz
Xman/fr/man3/Locale::Po4a::TransTractor.3pm.gz
Xman/fr/man3/Locale::Po4a::Xml.3pm.gz
Xman/fr/man3/Locale::Po4a::Guide.3pm.gz
Xman/fr/man3/Locale::Po4a::Docbook.3pm.gz
Xman/fr/man3/Locale::Po4a::KernelHelp.3pm.gz
Xman/fr/man3/Locale::Po4a::Chooser.3pm.gz
Xman/fr/man3/Locale::Po4a::Sgml.3pm.gz
Xman/fr/man3/Locale::Po4a::Text.3pm.gz
Xman/fr/man3/Locale::Po4a::Common.3pm.gz
Xman/it/man1/po4a-normalize.1p.gz
Xman/it/man1/po4a-gettextize.1p.gz
Xman/it/man1/po4a-updatepo.1p.gz
Xman/it/man1/po4a-translate.1p.gz
Xman/it/man3/Locale::Po4a::Dia.3pm.gz
Xman/it/man3/Locale::Po4a::Pod.3pm.gz
Xman/it/man3/Locale::Po4a::Guide.3pm.gz
Xman/it/man3/Locale::Po4a::KernelHelp.3pm.gz
Xman/it/man3/Locale::Po4a::Chooser.3pm.gz
Xman/it/man3/Locale::Po4a::Docbook.3pm.gz
Xman/pl/man1/po4a-normalize.1p.gz
Xman/pl/man1/msguntypot.1p.gz
Xman/pl/man1/po4a-gettextize.1p.gz
Xman/pl/man1/po4a.1p.gz
Xman/pl/man1/po4a-updatepo.1p.gz
Xman/pl/man1/po4a-translate.1p.gz
Xman/pl/man3/Locale::Po4a::Dia.3pm.gz
Xman/pl/man3/Locale::Po4a::Po.3pm.gz
Xman/pl/man3/Locale::Po4a::Man.3pm.gz
Xman/pl/man3/Locale::Po4a::LaTeX.3pm.gz
Xman/pl/man3/Locale::Po4a::Pod.3pm.gz
Xman/pl/man3/Locale::Po4a::TeX.3pm.gz
Xman/pl/man3/Locale::Po4a::TransTractor.3pm.gz
Xman/pl/man3/Locale::Po4a::Xml.3pm.gz
Xman/pl/man3/Locale::Po4a::Guide.3pm.gz
Xman/pl/man3/Locale::Po4a::Docbook.3pm.gz
Xman/pl/man3/Locale::Po4a::KernelHelp.3pm.gz
Xman/pl/man3/Locale::Po4a::Chooser.3pm.gz
Xman/pl/man3/Locale::Po4a::Sgml.3pm.gz
Xman/pl/man3/Locale::Po4a::Text.3pm.gz
Xman/pl/man3/Locale::Po4a::Common.3pm.gz
Xman/es/man7/po4a.7.gz
Xman/fr/man7/po4a.7.gz
Xman/pl/man7/po4a.7.gz
Xman/ca/man7/po4a.7.gz
X%%SITE_PERL%%/Locale/Po4a/Pod.pm
X%%SITE_PERL%%/Locale/Po4a/Dia.pm
X%%SITE_PERL%%/Locale/Po4a/LaTeX.pm
X%%SITE_PERL%%/Locale/Po4a/Common.pm
X%%SITE_PERL%%/Locale/Po4a/Xml.pm
X%%SITE_PERL%%/Locale/Po4a/Docbook.pm
X%%SITE_PERL%%/Locale/Po4a/TeX.pm
X%%SITE_PERL%%/Locale/Po4a/KernelHelp.pm
X%%SITE_PERL%%/Locale/Po4a/Sgml.pm
X%%SITE_PERL%%/Locale/Po4a/Guide.pm
X%%SITE_PERL%%/Locale/Po4a/Po.pm
X%%SITE_PERL%%/Locale/Po4a/Man.pm
X%%SITE_PERL%%/Locale/Po4a/TransTractor.pm
X%%SITE_PERL%%/Locale/Po4a/Chooser.pm
X%%SITE_PERL%%/Locale/Po4a/Text.pm
X%%SITE_PERL%%/mach/auto/po4a/.packlist
END-of-devel/po4a/pkg-plist
exit



Am 11.01.2006 21:52 Uhr schrieb "Sergey Matveychuk" unter <sem@FreeBSD.org>:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> Use portlint -A before send-pr please.
> Can you fix all issues?
> 
> - --
> Dixi.
> Sem.
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.2 (FreeBSD)
> Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org
> 
> iD8DBQFDxXAmTclL2LcfYF0RAr/qAJoC+UWmm2bC9Bow6Qeh+VnhhBcj6ACdG+ft
> sS8O/4uCbW1MLVQiR8xGZ7Y=
> =n3+j
> -----END PGP SIGNATURE-----
> 
>
Comment 2 Andrey Slusar 2006-01-22 22:35:37 UTC
 You new ports contains very many bugs in depends and pkg-plist.

-- 
Regards,
Andrey.
Comment 3 Andrey Slusar freebsd_committer 2006-01-23 20:26:35 UTC
State Changed
From-To: open->feedback

Needed create new port p5-Locale-Gettext. See the po4a README "PO4A 
DEPENDENCIES" section. You write this port?
Comment 4 Andrey Slusar freebsd_committer 2006-01-23 20:53:44 UTC
State Changed
From-To: feedback->open

Feedback received. I am taken this PR. 


Comment 5 Andrey Slusar freebsd_committer 2006-01-23 20:53:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->anray

Feedback received. I am taken this PR.
Comment 6 Andrey Slusar freebsd_committer 2006-01-24 19:57:41 UTC
State Changed
From-To: open->closed

New ports added and update commited with fixes. Thanks!